# Expiration Rule Sets

Expiration Rule Sets

 - [GET /expirationRuleSets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/expiration-rule-sets/listexpirationrulesets.md): This method will scan all expiration rule sets and and return them to the caller.
 - [POST /expirationRuleSets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/expiration-rule-sets/createexpirationruleset.md): This method will auto-generate an ID and create a new expiration rule set. If an ID is specified for the expiration rule set, an error will be thrown.
 - [POST /expirationRuleSets/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/expiration-rule-sets/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /expirationRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/expiration-rule-sets/deleteexpirationruleset.md): This method will delete a expiration rule set with the specified ID.
 - [GET /expirationRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/expiration-rule-sets/getexpirationruleset.md): This method will look up a expiration rule set by the specified ID and return it back.
 - [PATCH /expirationRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/expiration-rule-sets/patchexpirationruleset.md): This method will patch an existing expiration rule set with the specified ID, using the HTTP PATCH specification.
 - [PUT /expirationRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/expiration-rule-sets/updateexpirationruleset.md): This method will update an existing expiration rule set with the specified ID.
